Name:		freeciv
Version:	2.4.4
Release:	%mkrel 1
Summary:	CIVilization clone
License:	GPLv2+
Group:		Games/Strategy
URL:		http://www.freeciv.org/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	freeciv.server.wrapper
BuildRequires:  curl-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	gtk+2-devel
BuildRequires:  lua5.1-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	desktop-file-utils
BuildRequires:	ggz-gtk-client-devel
Requires(post): ggz-client-libs
Requires(preun): ggz-client-libs

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files
Requires:	%{name}-server = %{version}
BuildArch:	noarch

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

%package        client
Group:          Games/Strategy
Summary:        FREE CIVilization clone - client
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data = %{version}
Requires:	%{name}-server = %{version}
Requires(post):	ggz-client-libs
Requires(preun): ggz-client-libs 

%description    client
This is the graphical client for freeciv

%package        server
Group:          Games/Strategy
Summary:        FREE CIVilization clone - server
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-data = %{version}
Requires(post):	ggz-client-libs
Requires(preun): ggz-client-libs 

%description    server
This is the server for freeciv.

%prep
%setup -q

%build
#locales are not in %{_gamesdatadir}
export localedir=%{_datadir}/locale

%configure2_5x \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --enable-client=gtk-2.0 \
    --enable-ipv6=yes \
    --enable-sys-lua
%make

%install
%makeinstall_std localedir=%{_datadir}/locale

# wrapper
mv %{buildroot}%{_gamesbindir}/freeciv-server %{buildroot}%{_gamesbindir}/civserver.real
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/freeciv-server

# fix icons locations
mv %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}/icons

# menu entry
desktop-file-install --vendor="" \
	--remove-category="Application" \
	--remove-category="GNOME" \
	--remove-category="Strategy" \
	--add-category="GTK" \
	--add-category="StrategyGame" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

# omit ggz.modules, to register at install, not build, time.
rm %{buildroot}%{_sysconfdir}/ggz.modules
# include .dsc files
mkdir -p %{buildroot}%{_datadir}/ggz
install -p -D -m644 data/civclient.dsc %{buildroot}%{_datadir}/ggz/civclient.dsc
install -p -D -m644 data/civclient.dsc %{buildroot}%{_datadir}/ggz/civserver.dsc 

#remove unneeded
rm -f %{buildroot}%{_libdir}/*a
rm -f %{buildroot}%{_mandir}/man6/*ftwl*
rm -f %{buildroot}%{_mandir}/man6/*sdl*
rm -f %{buildroot}%{_mandir}/man6/*win32*
rm -f %{buildroot}%{_mandir}/man6/*xaw*

%post client 	 
%{_bindir}/ggz-config --install --force --modfile=%{_datadir}/ggz/civclient.dsc || :

%preun client 	 
if [ $1 -eq 0 ]; then 	 
   %{_bindir}/ggz-config --remove --modfile=%{_datadir}/ggz/civclient.dsc || : 	 
fi

%post server 	 
%{_bindir}/ggz-config --install --force --modfile=%{_datadir}/ggz/civserver.dsc || : 	 
	  	 
%preun server 	 
if [ $1 -eq 0 ]; then 	 
  %{_bindir}/ggz-config --remove --modfile=%{_datadir}/ggz/civserver.dsc || : 	 
fi

%files -f %{name}.lang data
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%{_gamesdatadir}/%{name}

%files client
%{_gamesbindir}/freeciv-gtk2
%{_gamesbindir}/freeciv-manual
%{_gamesbindir}/freeciv-modpack
%doc %{_docdir}/%{name}
%{_mandir}/man6/freeciv*6*
%{_datadir}/applications/freeciv.desktop
%{_datadir}/applications/freeciv-modpack.desktop
%{_datadir}/appdata/freeciv-gtk2.appdata.xml
%{_datadir}/appdata/freeciv-modpack.appdata.xml
%{_datadir}/pixmaps/freeciv-client.png
%{_iconsdir}/hicolor/*/apps/freeciv-client.png
%{_iconsdir}/hicolor/*/apps/freeciv-modpack.png
%{_datadir}/ggz/civclient.dsc
%{_sysconfdir}/freeciv/database.lua

%files server
%{_gamesbindir}/civserver.real
%{_gamesbindir}/freeciv-server
%{_mandir}/man6/freeciv-server.6*
%{_datadir}/applications/freeciv-server.desktop
%{_datadir}/appdata/freeciv-server.appdata.xml
%{_iconsdir}/hicolor/*/apps/freeciv-server.png
%{_datadir}/ggz/civserver.dsc




%changelog
* Tue Jan 13 2015 akien <akien> 2.4.4-1.mga4
+ Revision: 810480
- Version 2.4.4
- Build against system lua5.1

* Wed Dec 11 2013 zezinho <zezinho> 2.4.1-1.mga4
+ Revision: 556340
- new version 2.4.1

* Sat Oct 19 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 535077
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 zezinho <zezinho> 2.4.0-1.mga4
+ Revision: 480973
- add curl to BR
- new version 2.4.0

* Wed Mar 13 2013 zezinho <zezinho> 2.3.4-1.mga3
+ Revision: 402344
- new bugfix version

* Fri Jan 11 2013 umeabot <umeabot> 2.3.3-2.mga3
+ Revision: 350817
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 2.3.3-1.mga3
+ Revision: 335639
- man page added
- new version

* Tue Jun 12 2012 wally <wally> 2.3.2-2.mga3
+ Revision: 260112
- drop 'external' stdsounds as it's included by default in Freeciv 2.x
- clean .spec

* Tue May 29 2012 zezinho <zezinho> 2.3.2-1.mga3
+ Revision: 249479
- new version

* Sat Dec 03 2011 zezinho <zezinho> 2.3.1-1.mga2
+ Revision: 175705
- added freeciv-modpack desktop shortcut and icons
- new version

* Thu Sep 22 2011 zezinho <zezinho> 2.3.0-1.mga2
+ Revision: 146875
- new version 2.3

* Wed Mar 09 2011 eandry <eandry> 2.2.5-1.mga1
+ Revision: 66942
- New version 2.2.5
- enable ipv6

* Sun Feb 20 2011 eandry <eandry> 2.2.4-1.mga1
+ Revision: 54813
- New version 2.2.4
- imported package freeciv

